> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/knowledge-graph/object-types/domain.md).

# Domain

A logical grouping of assets inside one community.

```graphql
type Domain implements Auditable, Node, Organization {
  assets(
    limit: Int = 10
    offset: Int = 0
    order: [[AssetOrder]]
    where: AssetFilter
  ): [Asset!]!
  createdBy: User
  createdOn: DateTime
  description: String
  externalMappings(
    limit: Int = 10
    offset: Int = 0
    order: [[ExternalMappingOrder]]
    where: ExternalMappingFilter
  ): [ExternalMapping!]!
  id: UUID!
  meta: Boolean!
  modifiedBy: User
  modifiedOn: DateTime
  name: String!
  parent: Community
  readPermissions(
    limit: Int = 10
    offset: Int = 0
    order: [[ReadPermissionOrder]]
    where: ReadPermissionFilter
  ): [ReadPermission!]!
  responsibilities(
    limit: Int = 10
    offset: Int = 0
    order: [[ResponsibilityOrder]]
    where: ResponsibilityFilter
  ): [Responsibility!]!
  system: Boolean!
  type: DomainType!
}
```

### Fields

#### assets ● [`[Asset!]!`](/api/graphql/knowledge-graph/object-types/asset.md) non-null object <a href="#assets" id="assets"></a>

The list of assets available under this domain.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[AssetOrder]]`**](/api/graphql/knowledge-graph/input-types/asset-order.md) **list input**

Sorting parameters.

**where ●** [**`AssetFilter`**](/api/graphql/knowledge-graph/input-types/asset-filter.md) **input**

Filtering parameters.

#### createdBy ● [`User`](/api/graphql/knowledge-graph/object-types/user.md) object <a href="#created-by" id="created-by"></a>

The user who created this resource.

#### createdOn ● [`DateTime`](/api/graphql/knowledge-graph/scalars/date-time.md) scalar <a href="#created-on" id="created-on"></a>

The creation date of this resource.

#### description ● [`String`](/api/graphql/knowledge-graph/scalars/string.md) scalar <a href="#description" id="description"></a>

The description of this organization.

#### externalMappings ● [`[ExternalMapping!]!`](/api/graphql/knowledge-graph/object-types/external-mapping.md) non-null object <a href="#external-mappings" id="external-mappings"></a>

The list of external mappings corresponding to this domain.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[ExternalMappingOrder]]`**](/api/graphql/knowledge-graph/input-types/external-mapping-order.md) **list input**

Sorting parameters.

**where ●** [**`ExternalMappingFilter`**](/api/graphql/knowledge-graph/input-types/external-mapping-filter.md) **input**

Filtering parameters.

#### id ● [`UUID!`](/api/graphql/knowledge-graph/scalars/uuid.md) non-null scalar <a href="#id" id="id"></a>

The universally unique identifier of this node.

#### meta ● [`Boolean!`](/api/graphql/knowledge-graph/scalars/boolean.md) non-null scalar <a href="#meta" id="meta"></a>

When `true`, this organization is not listed in the community or domain tree in the UI. Typically used for hidden domains such as \*Issues\*.

#### modifiedBy ● [`User`](/api/graphql/knowledge-graph/object-types/user.md) object <a href="#modified-by" id="modified-by"></a>

The user who last modified this resource.

#### modifiedOn ● [`DateTime`](/api/graphql/knowledge-graph/scalars/date-time.md) scalar <a href="#modified-on" id="modified-on"></a>

The last modified date of this resource.

#### name ● [`String!`](/api/graphql/knowledge-graph/scalars/string.md) non-null scalar <a href="#name" id="name"></a>

The name of this organization.

#### parent ● [`Community`](/api/graphql/knowledge-graph/object-types/community.md) object <a href="#parent" id="parent"></a>

The parent community of this organization. It is null for root communities.

#### readPermissions ● [`[ReadPermission!]!`](/api/graphql/knowledge-graph/object-types/read-permission.md) non-null object <a href="#read-permissions" id="read-permissions"></a>

The list of all read permissions directly assigned to this organization. This list does not include inherited read permissions.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[ReadPermissionOrder]]`**](/api/graphql/knowledge-graph/input-types/read-permission-order.md) **list input**

Sorting parameters.

**where ●** [**`ReadPermissionFilter`**](/api/graphql/knowledge-graph/input-types/read-permission-filter.md) **input**

Filtering parameters.

#### responsibilities ● [`[Responsibility!]!`](/api/graphql/knowledge-graph/object-types/responsibility.md) non-null object <a href="#responsibilities" id="responsibilities"></a>

The list of all responsibilities directly assigned to this organization. This list does not include inherited responsibilities.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[ResponsibilityOrder]]`**](/api/graphql/knowledge-graph/input-types/responsibility-order.md) **list input**

Sorting parameters.

**where ●** [**`ResponsibilityFilter`**](/api/graphql/knowledge-graph/input-types/responsibility-filter.md) **input**

Filtering parameters.

#### system ● [`Boolean!`](/api/graphql/knowledge-graph/scalars/boolean.md) non-null scalar <a href="#system" id="system"></a>

Whether this resource is reserved by the system.

#### type ● [`DomainType!`](/api/graphql/knowledge-graph/object-types/domain-type.md) non-null object <a href="#type" id="type"></a>

The domain type for this domain.

### Interfaces

#### [`Auditable`](/api/graphql/knowledge-graph/interfaces/auditable.md) interface

An interface implemented by all types holding auditing information.

#### [`Node`](/api/graphql/knowledge-graph/interfaces/node.md) interface

A base interface implemented by all types.

#### [`Organization`](/api/graphql/knowledge-graph/interfaces/organization.md) interface

The parent interface for both Community and Domain types.

### Returned By

[`domains`](/api/graphql/knowledge-graph/queries/domains.md) query

### Member Of

[`Asset`](/api/graphql/knowledge-graph/object-types/asset.md) object ● [`Community`](/api/graphql/knowledge-graph/object-types/community.md) object ● [`ReadPermission`](/api/graphql/knowledge-graph/object-types/read-permission.md) object ● [`Responsibility`](/api/graphql/knowledge-graph/object-types/responsibility.md) object


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/knowledge-graph/object-types/domain.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
